[Ubuntu] lsqeth core dumps when called from sosreport

Bug #1813888 reported by bugproxy on 2019-01-30
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Skipper Bug Screeners
s390-tools (Ubuntu)
Undecided
Skipper Bug Screeners
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

 * lsqeth core dumps on systems without any qeth devices, as called from sosreport

[Test Case]

 * lsqeth should not fail on networkless machines

* create a z/vm or lpar, and do not add any qeth ethernet adaptors (no network cards)

* use serial terminal to execute `lsqeth` -> to list available ethernet cards, when there are none at all

* expectation is that the binary exits listing nothing, without crashing/sigaborting.

[Regression Potential]

 * cherrypicked upstream patches, tested upstream & disco
 * changes to the unusual code path, of absent devices for otherwise typically only networked installs

[Other Info]

 * Original bug report

---Problem Description---
We run in an environment where we have no eth devices defined and therefore no /sys/bus/ccwgroup exists. We are experiencing intermittent problems with a segmentation fault in the lsqeth program.

In particular when called from sosreport it consistently fails but if invoking directly from the command line, it most likely does not cause an error.

We found out that the logic of lsqeth from s390-tools always expect the directory '/sys/bus/ccwgroup/drivers/qeth/' to be existed. And it doesn't handle the scenario if the directory doesn't exist and causes the core dump in our case.

IBM willl provide an upstream patch for s390tools once available.

This package upgrade need to released by Bionic as soon as possible.

---uname output---
4.15.0-42-generic

Machine Type = system Z

---Debugger---
A debugger is not configured

---Steps to Reproduce---
 1. run in an environment with no eth devices defined and therefore no /sys/bus/ccwgroup exists.
2. timeout 10 lsqeth

bugproxy (bugproxy) on 2019-01-30
tags: added: architecture-s39064 bugnameltc-174948 severity-high targetmilestone-inin1804
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Set to incomplete until patch is released - also changed from linux (kernel) to s390-tools.

Changed in ubuntu-z-systems:
importance: Undecided → High
affects: linux (Ubuntu) → s390-tools (Ubuntu)
Changed in s390-tools (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
information type: Public → Private
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)

------- Comment From <email address hidden> 2019-02-05 10:29 EDT-------
Patch information:

Link to commit:
https://github.com/ibm-s390-tools/s390-tools/commit/cd46297d7c8cff1a34c74f77678f0f066adab332

This commit was released with s390-tools 2.7 and needs to get backported to 2.3 which is contained in Ubuntu 18.04.

Patch should apply cleanly.

Changed in s390-tools (Ubuntu):
status: Incomplete → New
Changed in ubuntu-z-systems:
status: Incomplete → Triaged
Dimitri John Ledkov (xnox) wrote :

Marking disco as fixed released, opening tasks for Cosmic and Bionic.

Changed in s390-tools (Ubuntu):
status: New → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → In Progress
description: updated
information type: Private → Public
Changed in s390-tools (Ubuntu Bionic):
status: New → In Progress
description: updated
Changed in s390-tools (Ubuntu Cosmic):
status: New → In Progress
description: updated

Hello bugproxy, or anyone else affected,

Accepted s390-tools into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.6.0-0ubuntu7.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in s390-tools (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Frank Heimes (frank-heimes) wrote :

Successfully verified on cosmic (kvm virtual machine).
Adjusting tags accordingly.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Brian Murray (brian-murray) wrote :

Hello bugproxy, or anyone else affected,

Accepted s390-tools into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/s390-tools/2.3.0-0ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in s390-tools (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Frank Heimes (frank-heimes) wrote :

Successfully verified on a bionic kvm virtual machine.
Adjusting tags accordingly.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for s390-tools has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.6.0-0ubuntu7.2

---------------
s390-tools (2.6.0-0ubuntu7.2) cosmic; urgency=medium

  * lsqeth: resolve core dump when called without any eth devices. LP:
    #1813888

 -- Dimitri John Ledkov <email address hidden> Wed, 13 Feb 2019 12:41:58 +0000

Changed in s390-tools (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package s390-tools - 2.3.0-0ubuntu3.2

---------------
s390-tools (2.3.0-0ubuntu3.2) bionic; urgency=medium

  * lstape, lsluns: handle non-zfcp & lin_tape multiple paths. Many
    cherrypicks from upstream. LP: #1790831
  * lszcrypt: support for alternate zcrypt device drivers. LP: #1800867
  * lsqeth: resolve core dump when called without any eth devices. LP:
    #1813888

 -- Dimitri John Ledkov <email address hidden> Tue, 12 Feb 2019 15:17:08 +0000

Changed in s390-tools (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

------- Comment From <email address hidden> 2019-03-07 07:51 EDT-------
IBM bugzilla status->closed, Fix released for all required Distros

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers